local engine = require("#monocle.engine")
local monocle = require("#monocle")
local celeste = require("#celeste")

local coroutineEntity = monocle.Entity()

function onBegin()
    disableRetry()
    disableMovement()
    player.ForceCameraUpdate = true

    say("PPBD2025_GlerG_Slop_end_c")
end

function onEnd(room, wasSkipped)
    setFlag("gameplayslopnt", true)
    enableRetry()
    enableMovement()
end